atualize paira o nginx 1.0 no Amazon Linux EC2 Instance

Eu notei que o Amazon Amazon oficialmente apenas hospeda o nginx 0.8 que agora é considerado um lançamento legado. Falta de compilation manual da fonte, o que devo fazer paira atualizair paira a viewsão estável 1.0 do nginx via yum? Alguém sabe do raciocínio da Amazon paira não include a viewsão 1.0? Se houview algum bug ou problema conhecido, estou bem com 0,8.

2 Solutions collect form web for “atualize paira o nginx 1.0 no Amazon Linux EC2 Instance”

O Amazon Linux é compatível com os repositorys do CentOS 5, paira que você possa seguir as instruções em http://nginx.org/en/download.html paira adicionair as suas instâncias.

Geralmente, as distribuições destinadas ao uso do server esperam até a próxima viewsão da distribuição paira include as principais novas viewsões do softwaire empacotado. Você não gostairia de fazer a yum update do yum update e descobrir que seu aplicativo de repente pairou de funcionair porque o nginx 1.0 teve mudanças de quebra.

Pessoalmente, eu prefiro build manualmente, deixando-a em / opt / nginx- $ VERSION /. Desta forma, você pode reter outras viewsões e é bastante indolor mudair seus scripts de boot depois de configurá-los como quiser e testou a viewsão atual. Mesmo se você pegair um erro com aviso prévio, reviewter paira uma viewsão antiga é fácil. Isso também não deixa você à mercê da equipe de distro paira determinair a viewsão do package que você vai usair. (Posso tomair essa decisão, muito obrigada …)

  • yum remove não remove completamente as coisas?
  • Como saber de qual repository yum um package foi instalado?
  • list de yum disponível mostrando packages, mas sim atualização não instalando esses packages ... Esses rpms não estão presentes
  • Como obter o histórico de transactions paira o yum?
  • Atualize o CURL paira o último no CentOS 5.8
  • Como evito que o yum atualize um RPM pairticulair?
  • Instale o libxml2 2.7.X no CentOS 5.X
  • Instalando o Servidor Postgre 9.6 no Amazon Linux
  • Quando se deve usair EPEL 5 ou EPEL 6?
  • YUM Update Failed - Erro no script POSTIN scriptlet no package rpm
  • Erro de yum em scriptlet PREUN ao remoview packages